/**
 * user-input.scss
 * ============================================================================
 * Styles for the first two pages: Start and Confirmation
 *
 * Randy, an online tool that randomly selects winners from a list of names.
 * http://heyrandy.com
 * Built by Yay Brigade (http://yaybrigade.com/) and Aaron Greenberg in 2015.
 */
/**
 * _components.scss
 * ============================================================================
 * SASS components: variables, mixins
 *
 * Randy, an online tool that randomly selects winners from a list of names.
 * http://heyrandy.com
 * Built by Yay Brigade (http://yaybrigade.com/) and Aaron Greenberg in 2015.
 */
/**
 * SASS Variables
 */
/**
 * A `curve-arrow` is the pointy arrow thing that marks the transition from one
 * section to another. It's created using two pseudoelements with rounded
 * corners butted against each other.
 * It's defined as a Sass mixin so that multiple classes can use it and we don't
 * need to add an odd classname to the markup.
 */
/**
 * This mixin adds small teal dots to the background of an element using radial-gradients.
 *
 * $opacity -> Sets the opacity of the dots. Defaults to 100%.
 */
/*! normalize.css v3.0.2 | MIT License | git.io/normalize */
/**
 * 1. Set default font family to sans-serif.
 * 2. Prevent iOS text size adjust after orientation change, without disabling
 *    user zoom.
 */
/* line 9, ../src/normalize.scss */
html {
  font-family: sans-serif;
  /* 1 */
  -ms-text-size-adjust: 100%;
  /* 2 */
  -webkit-text-size-adjust: 100%;
  /* 2 */ }

/**
 * Remove default margin.
 */
/* line 19, ../src/normalize.scss */
body {
  margin: 0; }

/* HTML5 display definitions
	 ========================================================================== */
/**
 * Correct `block` display not defined for any HTML5 element in IE 8/9.
 * Correct `block` display not defined for `details` or `summary` in IE 10/11
 * and Firefox.
 * Correct `block` display not defined for `main` in IE 11.
 */
/* line 33, ../src/normalize.scss */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
menu,
nav,
section,
summary {
  display: block; }

/**
 * 1. Correct `inline-block` display not defined in IE 8/9.
 * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.
 */
/* line 54, ../src/normalize.scss */
audio,
canvas,
progress,
video {
  display: inline-block;
  /* 1 */
  vertical-align: baseline;
  /* 2 */ }

/**
 * Prevent modern browsers from displaying `audio` without controls.
 * Remove excess height in iOS 5 devices.
 */
/* line 67, ../src/normalize.scss */
audio:not([controls]) {
  display: none;
  height: 0; }

/**
 * Address `[hidden]` styling not present in IE 8/9/10.
 * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.
 */
/* line 77, ../src/normalize.scss */
[hidden],
template {
  display: none; }

/* Links
	 ========================================================================== */
/**
 * Remove the gray background color from active links in IE 10.
 */
/* line 89, ../src/normalize.scss */
a {
  background-color: transparent; }

/**
 * Improve readability when focused and also mouse hovered in all browsers.
 */
/* line 97, ../src/normalize.scss */
a:active,
a:hover {
  outline: 0; }

/* Text-level semantics
	 ========================================================================== */
/**
 * Address styling not present in IE 8/9/10/11, Safari, and Chrome.
 */
/* line 109, ../src/normalize.scss */
abbr[title] {
  border-bottom: 1px dotted; }

/**
 * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.
 */
/* line 117, ../src/normalize.scss */
b,
strong {
  font-weight: bold; }

/**
 * Address styling not present in Safari and Chrome.
 */
/* line 126, ../src/normalize.scss */
dfn {
  font-style: italic; }

/**
 * Address variable `h1` font-size and margin within `section` and `article`
 * contexts in Firefox 4+, Safari, and Chrome.
 */
/* line 135, ../src/normalize.scss */
h1 {
  font-size: 2em;
  margin: 0.67em 0; }

/**
 * Address styling not present in IE 8/9.
 */
/* line 144, ../src/normalize.scss */
mark {
  background: #ff0;
  color: #000; }

/**
 * Address inconsistent and variable font size in all browsers.
 */
/* line 153, ../src/normalize.scss */
small {
  font-size: 80%; }

/**
 * Prevent `sub` and `sup` affecting `line-height` in all browsers.
 */
/* line 161, ../src/normalize.scss */
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline; }

/* line 169, ../src/normalize.scss */
sup {
  top: -0.5em; }

/* line 173, ../src/normalize.scss */
sub {
  bottom: -0.25em; }

/* Embedded content
	 ========================================================================== */
/**
 * Remove border when inside `a` element in IE 8/9/10.
 */
/* line 184, ../src/normalize.scss */
img {
  border: 0; }

/**
 * Correct overflow not hidden in IE 9/10/11.
 */
/* line 192, ../src/normalize.scss */
svg:not(:root) {
  overflow: hidden; }

/* Grouping content
	 ========================================================================== */
/**
 * Address margin not present in IE 8/9 and Safari.
 */
/* line 203, ../src/normalize.scss */
figure {
  margin: 1em 40px; }

/**
 * Address differences between Firefox and other browsers.
 */
/* line 211, ../src/normalize.scss */
hr {
  box-sizing: content-box;
  height: 0; }

/**
 * Contain overflow in all browsers.
 */
/* line 221, ../src/normalize.scss */
pre {
  overflow: auto; }

/**
 * Address odd `em`-unit font size rendering in all browsers.
 */
/* line 229, ../src/normalize.scss */
code,
kbd,
pre,
samp {
  font-family: monospace, monospace;
  font-size: 1em; }

/* Forms
	 ========================================================================== */
/**
 * Known limitation: by default, Chrome and Safari on OS X allow very limited
 * styling of `select`, unless a `border` property is set.
 */
/**
 * 1. Correct color not being inherited.
 *    Known issue: affects color of disabled elements.
 * 2. Correct font properties not being inherited.
 * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.
 */
/* line 252, ../src/normalize.scss */
button,
input,
optgroup,
select,
textarea {
  color: inherit;
  /* 1 */
  font: inherit;
  /* 2 */
  margin: 0;
  /* 3 */ }

/**
 * Address `overflow` set to `hidden` in IE 8/9/10/11.
 */
/* line 266, ../src/normalize.scss */
button {
  overflow: visible; }

/**
 * Address inconsistent `text-transform` inheritance for `button` and `select`.
 * All other form control elements do not inherit `text-transform` values.
 * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.
 * Correct `select` style inheritance in Firefox.
 */
/* line 277, ../src/normalize.scss */
button,
select {
  text-transform: none; }

/**
 * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`
 *    and `video` controls.
 * 2. Correct inability to style clickable `input` types in iOS.
 * 3. Improve usability and consistency of cursor style between image-type
 *    `input` and others.
 */
/* line 290, ../src/normalize.scss */
button,
html input[type="button"],
input[type="reset"],
input[type="submit"] {
  -webkit-appearance: button;
  /* 2 */
  cursor: pointer;
  /* 3 */ }

/**
 * Re-set default cursor for disabled elements.
 */
/* line 302, ../src/normalize.scss */
button[disabled],
html input[disabled] {
  cursor: default; }

/**
 * Remove inner padding and border in Firefox 4+.
 */
/* line 311, ../src/normalize.scss */
button::-moz-focus-inner,
input::-moz-focus-inner {
  border: 0;
  padding: 0; }

/**
 * Address Firefox 4+ setting `line-height` on `input` using `!important` in
 * the UA stylesheet.
 */
/* line 322, ../src/normalize.scss */
input {
  line-height: normal; }

/**
 * It's recommended that you don't attempt to style these elements.
 * Firefox's implementation doesn't respect box-sizing, padding, or width.
 *
 * 1. Address box sizing set to `content-box` in IE 8/9/10.
 * 2. Remove excess padding in IE 8/9/10.
 */
/* line 334, ../src/normalize.scss */
input[type="checkbox"],
input[type="radio"] {
  box-sizing: border-box;
  /* 1 */
  padding: 0;
  /* 2 */ }

/**
 * Fix the cursor style for Chrome's increment/decrement buttons. For certain
 * `font-size` values of the `input`, it causes the cursor style of the
 * decrement button to change from `default` to `text`.
 */
/* line 346, ../src/normalize.scss */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  height: auto; }

/**
 * 1. Address `appearance` set to `searchfield` in Safari and Chrome.
 * 2. Address `box-sizing` set to `border-box` in Safari and Chrome
 *    (include `-moz` to future-proof).
 */
/* line 357, ../src/normalize.scss */
input[type="search"] {
  -webkit-appearance: textfield;
  /* 1 */
  /* 2 */
  box-sizing: content-box; }

/**
 * Remove inner padding and search cancel button in Safari and Chrome on OS X.
 * Safari (but not Chrome) clips the cancel button when the search input has
 * padding (and `textfield` appearance).
 */
/* line 370, ../src/normalize.scss */
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none; }

/**
 * Define consistent border, margin, and padding.
 */
/* line 379, ../src/normalize.scss */
fieldset {
  border: 1px solid #c0c0c0;
  margin: 0 2px;
  padding: 0.35em 0.625em 0.75em; }

/**
 * 1. Correct `color` not being inherited in IE 8/9/10/11.
 * 2. Remove padding so people aren't caught out if they zero out fieldsets.
 */
/* line 390, ../src/normalize.scss */
legend {
  border: 0;
  /* 1 */
  padding: 0;
  /* 2 */ }

/**
 * Remove default vertical scrollbar in IE 8/9/10/11.
 */
/* line 399, ../src/normalize.scss */
textarea {
  overflow: auto; }

/**
 * Don't inherit the `font-weight` (applied by a rule above).
 * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.
 */
/* line 408, ../src/normalize.scss */
optgroup {
  font-weight: bold; }

/* Tables
	 ========================================================================== */
/**
 * Remove most spacing between table cells.
 */
/* line 419, ../src/normalize.scss */
table {
  border-collapse: collapse;
  border-spacing: 0; }

/* line 424, ../src/normalize.scss */
td,
th {
  padding: 0; }

/**
 * global.scss
 * ============================================================================
 * Global styles
 *
 * Randy, an online tool that randomly selects winners from a list of names.
 * http://heyrandy.com
 * Built by Yay Brigade (http://yaybrigade.com/) and Aaron Greenberg in 2015.
 */
/* line 11, ../src/global.scss */
html,
body {
  height: 100%;
  font-size: 16px;
  box-sizing: border-box;
  /* Use border-box everywhere */ }
  @media (min-width: 50em) {
    /* line 11, ../src/global.scss */
    html,
    body {
      font-size: 20px; } }

/* line 22, ../src/global.scss */
*,
*:before,
*:after {
  box-sizing: inherit; }

/* line 28, ../src/global.scss */
body {
  font-family: "pt-sans-narrow", "Helvetica", "Arial", sans-serif;
  min-width: 320px; }

/* line 33, ../src/global.scss */
h1, h2, h3, h4, h5, h6, p {
  margin: 0;
  font-weight: normal; }

/* Text meant only for screen readers */
/* line 39, ../src/global.scss */
.screen-reader-text {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0; }

/* line 47, ../src/global.scss */
.screen-reader-text:hover,
.screen-reader-text:active,
.screen-reader-text:focus {
  background-color: #f1f1f1;
  border-radius: 3px;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
  clip: auto !important;
  color: #21759b;
  display: block;
  font-size: 14px;
  font-weight: bold;
  height: auto;
  left: 5px;
  line-height: normal;
  padding: 15px 23px 14px;
  text-decoration: none;
  top: 5px;
  width: auto;
  z-index: 100000;
  /* Above WP toolbar */ }

/**
 * Footer
 * ----------------------------------------------------------------------------
 */
/* line 72, ../src/global.scss */
.page-footer {
  background-color: #445;
  color: #e2e1d8;
  padding: 1em;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: end;
      justify-content: flex-end; }
  /* line 79, ../src/global.scss */
  .page-footer a {
    color: #e2e1d8;
    text-decoration: none;
    border-bottom: 1px dotted rgba(255, 255, 255, 0.4);
    transition: border 0.3s ease; }
    /* line 85, ../src/global.scss */
    .page-footer a:hover {
      border-bottom: 1px solid rgba(255, 255, 255, 0.6); }
  /* line 90, ../src/global.scss */
  .page-footer p {
    display: inline; }
    /* line 93, ../src/global.scss */
    .page-footer p:first-child {
      margin-right: 1em; }
  /* line 98, ../src/global.scss */
  .confirmation .page-footer {
    display: none; }

/* line 16, ../src/styles-user-input.scss */
body {
  background: #e2e1d8; }

/**
 * Error Notifications
 * ----------------------------------------------------------------------------
 */
/* line 27, ../src/styles-user-input.scss */
.error {
  position: absolute;
  overflow: hidden; }
  /* line 31, ../src/styles-user-input.scss */
  .error span {
    display: block;
    width: 100%;
    height: 100%;
    padding: .375em;
    -webkit-transform: translateY(100%);
            transform: translateY(100%);
    transition: -webkit-transform .15s ease-in;
    transition: transform .15s ease-in;
    color: white;
    text-align: left;
    background: #e24e2b;
    background-image: linear-gradient(-180deg, #e24e2b 6%, #e62857 100%);
    text-align: center; }
    /* line 44, ../src/styles-user-input.scss */
    .error span a {
      color: white; }
  /* line 50, ../src/styles-user-input.scss */
  .error.confirm-error {
    right: 0;
    bottom: 0;
    left: 0; }
  /* line 56, ../src/styles-user-input.scss */
  .error.list-error {
    width: calc(100% - 1.5rem);
    max-width: 50rem;
    -webkit-transform: translateY(-100%);
            transform: translateY(-100%); }
    /* line 61, ../src/styles-user-input.scss */
    .error.list-error a {
      display: none; }

/* line 66, ../src/styles-user-input.scss */
.quantity-error {
  position: absolute;
  top: 65%;
  width: 100%;
  padding-right: 10%;
  padding-left: 10%;
  font-size: .875em;
  color: red;
  text-align: center;
  opacity: 0;
  transition: opacity .3s ease; }

/**
 * Header
 * ----------------------------------------------------------------------------
 */
/* line 83, ../src/styles-user-input.scss */
.page-header {
  text-align: center;
  padding-top: 1rem;
  padding-bottom: 1rem;
  background: #e62857;
  background-image: linear-gradient(to right, #e24e2b, #e62857);
  border-top: 8px solid #28295c;
  transition: padding .2s ease; }
  /* line 92, ../src/styles-user-input.scss */
  .page-header .logotype {
    width: 40%;
    max-width: 20rem;
    opacity: .9; }
    /* line 97, ../src/styles-user-input.scss */
    .confirmation .page-header .logotype {
      max-width: 8rem; }
  /* line 102, ../src/styles-user-input.scss */
  .page-header .tagline {
    padding-bottom: 2rem;
    font-family: "eskapade-fraktur", "Georgia", serif;
    color: #f6c515;
    transition: padding .2s ease; }
    @media (min-width: 50em) {
      /* line 102, ../src/styles-user-input.scss */
      .page-header .tagline {
        padding-top: 1.5em;
        padding-left: 12em; } }
    /* line 112, ../src/styles-user-input.scss */
    .confirmation .page-header .tagline {
      padding-bottom: 0;
      font-size: 0; }

@media (min-width: 50em) {
  /* line 120, ../src/styles-user-input.scss */
  .page-header {
    padding-top: 2rem;
    padding-bottom: 3rem; }
    /* line 124, ../src/styles-user-input.scss */
    .start .page-header {
      padding-top: 5rem;
      padding-bottom: 6rem; } }
@media (min-width: 50em) and (max-height: 43.75em) {
  /* line 133, ../src/styles-user-input.scss */
  .start .page-header {
    padding-top: 2.5em;
    padding-bottom: 2.5em; }
  /* line 137, ../src/styles-user-input.scss */
  .page-header .logotype {
    width: 30%; }
  /* line 140, ../src/styles-user-input.scss */
  .page-header .tagline {
    font-size: 1.25em; } }
/**
 * Wrapper
 * ----------------------------------------------------------------------------
 */
/* line 151, ../src/styles-user-input.scss */
.wrapper {
  text-align: center;
  padding-top: 1rem;
  background-color: #e2e1d8;
  position: relative; }
  /* line 39, ../src/_components.scss */
  .wrapper:before {
    position: absolute;
    top: -1.5rem;
    left: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-size: 200% auto;
    /* If the background is a gradient, this will line up the gradient with that of the parent. */
    border-top-right-radius: 1.5rem;
    content: ""; }
  /* line 52, ../src/_components.scss */
  .wrapper:after {
    position: absolute;
    top: -1.5rem;
    right: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-position: -100%;
    /* This offsets the gradient so it lines up with the second half of the parent's gradient */
    background-size: 200% auto;
    border-top-left-radius: 1.5rem;
    content: ""; }
  /* line 157, ../src/styles-user-input.scss */
  .wrapper .intro {
    max-width: 18em;
    margin-right: auto;
    margin-left: auto;
    color: #445; }
    @media (min-width: 50em) {
      /* line 157, ../src/styles-user-input.scss */
      .wrapper .intro {
        font-size: 1.25em; } }
    /* line 166, ../src/styles-user-input.scss */
    .wrapper .intro strong {
      display: block; }
    /* line 169, ../src/styles-user-input.scss */
    .wrapper .intro .mascot {
      border-bottom: 1px dotted rgba(0, 0, 0, 0.2);
      cursor: pointer; }
      /* line 173, ../src/styles-user-input.scss */
      .wrapper .intro .mascot span:not(.mascot-message) {
        position: absolute;
        left: -17em;
        transition: left ease .5s;
        -webkit-transform: rotate(90deg);
                transform: rotate(90deg);
        top: 2.75em; }
      /* line 180, ../src/styles-user-input.scss */
      .wrapper .intro .mascot:hover span {
        left: -3.75em; }
        @media (min-width: 50em) {
          /* line 180, ../src/styles-user-input.scss */
          .wrapper .intro .mascot:hover span {
            left: -2.6em; } }
      /* line 187, ../src/styles-user-input.scss */
      .wrapper .intro .mascot .mascot-message {
        display: none;
        color: #445;
        font-size: 0.8em; }
        @media (min-width: 50em) {
          /* line 187, ../src/styles-user-input.scss */
          .wrapper .intro .mascot .mascot-message {
            display: block;
            margin-left: 0.5em; } }
      /* line 197, ../src/styles-user-input.scss */
      .wrapper .intro .mascot .mode-btn {
        box-shadow: none;
        background-color: transparent; }
  /* line 203, ../src/styles-user-input.scss */
  .wrapper .intro-small {
    display: block;
    font-size: 0.7em;
    margin-top: 0.4em; }

/**
 * Step <section>s
 * ----------------------------------------------------------------------------
 * Each <section> stores the UI elements necessary for completing one of the
 * steps in the drawing. For example, the first <section> includes the headline
 * "Shall we pick a winner?" and includes the input elements for the user's
 * name and the name of the drawing.
 */
/* line 221, ../src/styles-user-input.scss */
.section {
  padding-top: 1rem;
  color: #e2e1d8;
  background-color: #e2e1d8;
  /* Encircled numbers that mark each step (<section>) on the page */
  /**
   * .dotted refers to a <div> that sits within each <section> and merely has a
   * dotted background-image (using radial gradients).
   */
  /* section .content represents the gradient-colored blocks in each <section>. */ }
  /* line 226, ../src/styles-user-input.scss */
  .section h1 {
    /* Questions */
    padding-right: 1rem;
    padding-left: 1rem;
    margin-top: 3rem;
    margin-bottom: 1rem;
    font-family: "eskapade-fraktur", "Georgia", serif;
    font-size: 1.75rem;
    color: #2ab5af; }
    @media (min-width: 50em) {
      /* line 226, ../src/styles-user-input.scss */
      .section h1 {
        font-size: 2.75rem; } }
    @media (min-width: 62.5em) {
      /* line 226, ../src/styles-user-input.scss */
      .section h1 {
        font-size: 3.5rem; } }
  /* line 244, ../src/styles-user-input.scss */
  .section .circle-number {
    display: block;
    width: 3rem;
    height: 3rem;
    margin-right: auto;
    margin-left: auto;
    line-height: 3rem;
    border-radius: 50%; }
  /* line 255, ../src/styles-user-input.scss */
  .section label:first-child {
    display: block;
    padding-top: .5rem; }
  @media (min-width: 50em) {
    /* line 253, ../src/styles-user-input.scss */
    .section label {
      font-size: 1.25rem;
      margin-bottom: 1rem; } }
  /* line 269, ../src/styles-user-input.scss */
  .section .dotted {
    background-color: #e2e1d8;
    background-image: radial-gradient(#2bb6b0 10%, transparent 10%), radial-gradient(#2bb6b0 10%, transparent 10%);
    background-size: 18px 18px;
    background-position: 0 0, 9px 9px;
    box-shadow: inset 0 1.5rem 0 0 #e2e1d8;
    /* This constrains the dots to start halfway down the circle span. */ }
  /* line 275, ../src/styles-user-input.scss */
  .section .content {
    position: relative;
    margin-top: 2rem;
    /* Top offset for the `curve-arrow` pseudoelements. */
    padding-bottom: 4rem;
    /* Bottom offset for `curve-arrow` pseudoelement. */ }
    /* line 39, ../src/_components.scss */
    .section .content:before {
      position: absolute;
      top: -1.5rem;
      left: 0;
      width: 50%;
      height: 1.5rem;
      background: inherit;
      background-image: inherit;
      background-size: 200% auto;
      /* If the background is a gradient, this will line up the gradient with that of the parent. */
      border-top-right-radius: 1.5rem;
      content: ""; }
    /* line 52, ../src/_components.scss */
    .section .content:after {
      position: absolute;
      top: -1.5rem;
      right: 0;
      width: 50%;
      height: 1.5rem;
      background: inherit;
      background-image: inherit;
      background-position: -100%;
      /* This offsets the gradient so it lines up with the second half of the parent's gradient */
      background-size: 200% auto;
      border-top-left-radius: 1.5rem;
      content: ""; }
    @media (min-width: 50em) {
      /* line 275, ../src/styles-user-input.scss */
      .section .content {
        padding-bottom: 5rem; } }
  @media (min-width: 50em) {
    /* line 221, ../src/styles-user-input.scss */
    .section {
      padding-top: 2rem; } }
  @media (min-width: 62.5em) {
    /* line 221, ../src/styles-user-input.scss */
    .section {
      padding-top: 3rem; } }
  @media (min-width: 50em) and (max-height: 43.75em) {
    /* line 221, ../src/styles-user-input.scss */
    .section {
      padding-top: 1rem; } }

/**
 * .names
 * ----------------------------------------------------------------------------
 * These styles apply to the inner UI elements for the <section> where the user
 * inputs their name and the name of their giveaway.
 */
/* The <div>s inside the <section>s hold the actionable UI elements for each step. */
/* The <span>s are the encircled numbers. Both have gradient background colors. */
/* line 305, ../src/styles-user-input.scss */
.names {
  /* The first input should have a margin-bottom to space it apart from the next. */ }
  /* line 307, ../src/styles-user-input.scss */
  .names .content, .names span.circle-number {
    background: #f5b149;
    background-image: linear-gradient(to right, #f5b149, #f15a24); }
  /* line 311, ../src/styles-user-input.scss */
  .names .name {
    position: relative;
    display: block;
    width: 90%;
    max-width: 20rem;
    min-height: 2.5em;
    margin-top: .5rem;
    margin-right: auto;
    margin-left: auto;
    padding: .25rem;
    overflow-x: hidden;
    color: black;
    text-align: center;
    background: white;
    border: 0;
    box-shadow: 5px -5px 0 0 rgba(0, 0, 0, 0.15);
    outline: 0; }
    /* line 329, ../src/styles-user-input.scss */
    .names .name:after {
      position: absolute;
      top: 0;
      right: 0;
      display: block;
      padding: .25em .5em;
      height: 100%;
      color: white;
      background-color: red;
      content: "Required";
      -webkit-transform: translateX(100%);
              transform: translateX(100%);
      transition: -webkit-transform .1s ease-out;
      transition: transform .1s ease-out; }
    /* line 342, ../src/styles-user-input.scss */
    .names .name.error:after {
      -webkit-transform: none;
              transform: none;
      transition-timing-function: ease-in; }
  /* line 348, ../src/styles-user-input.scss */
  .names .giveaway-name {
    margin-bottom: 1rem; }
  /* line 351, ../src/styles-user-input.scss */
  .names small {
    display: block; }

/**
 * .list
 * ----------------------------------------------------------------------------
 * Styles for the UI elements for list entry <section>.
 */
/* line 361, ../src/styles-user-input.scss */
.list {
  position: relative; }
  /* line 39, ../src/_components.scss */
  .list:before {
    position: absolute;
    top: -1.5rem;
    left: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-size: 200% auto;
    /* If the background is a gradient, this will line up the gradient with that of the parent. */
    border-top-right-radius: 1.5rem;
    content: ""; }
  /* line 52, ../src/_components.scss */
  .list:after {
    position: absolute;
    top: -1.5rem;
    right: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-position: -100%;
    /* This offsets the gradient so it lines up with the second half of the parent's gradient */
    background-size: 200% auto;
    border-top-left-radius: 1.5rem;
    content: ""; }
  /* line 364, ../src/styles-user-input.scss */
  .list .content, .list span.circle-number {
    background: #39b54a;
    background-image: linear-gradient(to right, #39b54a, #2bb6b0); }
  /* line 368, ../src/styles-user-input.scss */
  .list .list-box {
    padding: 1rem;
    color: black;
    position: relative;
    width: calc(100% - 1.5rem);
    max-height: 30em;
    max-width: 50rem;
    min-height: 10rem;
    margin-top: 1rem;
    margin-right: auto;
    margin-left: auto;
    overflow: hidden;
    font-family: "courier-prime", "Courier New", monospace;
    text-align: left;
    background-color: white;
    box-shadow: 5px -5px 0 0 rgba(0, 0, 0, 0.15);
    outline: 0;
    border: none; }
  /* line 389, ../src/styles-user-input.scss */
  .list small {
    display: block; }

/**
 * .mode
 * ----------------------------------------------------------------------------
 * Styles for the UI elements for the selection mode <section>
 */
/* line 400, ../src/styles-user-input.scss */
.mode {
  position: relative; }
  /* line 39, ../src/_components.scss */
  .mode:before {
    position: absolute;
    top: -1.5rem;
    left: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-size: 200% auto;
    /* If the background is a gradient, this will line up the gradient with that of the parent. */
    border-top-right-radius: 1.5rem;
    content: ""; }
  /* line 52, ../src/_components.scss */
  .mode:after {
    position: absolute;
    top: -1.5rem;
    right: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-position: -100%;
    /* This offsets the gradient so it lines up with the second half of the parent's gradient */
    background-size: 200% auto;
    border-top-left-radius: 1.5rem;
    content: ""; }
  /* line 403, ../src/styles-user-input.scss */
  .mode .content, .mode .circle-number {
    background: #4d2d7f;
    background-image: linear-gradient(to right, #2a3987, #4d2d7f); }
  /* line 407, ../src/styles-user-input.scss */
  .mode label {
    display: block;
    padding-bottom: 1rem; }

/* line 412, ../src/styles-user-input.scss */
.mode-btn {
  position: relative;
  display: inline-block;
  padding-top: 1.5rem;
  margin-right: 1rem;
  margin-left: 1rem;
  width: 10rem;
  height: 10rem;
  margin-bottom: 2em;
  font-family: "eskapade-fraktur", "Georgia", serif;
  color: #4d4d4d;
  vertical-align: top;
  background-color: #e2e1d8;
  border-radius: 50%;
  box-shadow: 0 0 0 10px rgba(226, 225, 216, 0.8);
  cursor: pointer;
  overflow: hidden;
  transition: box-shadow 0.3s ease; }
  @media (min-width: 50em) {
    /* line 412, ../src/styles-user-input.scss */
    .mode-btn {
      width: 30vw;
      height: 30vw;
      max-width: 15rem;
      max-height: 15rem;
      margin-bottom: 0; } }
  /* line 438, ../src/styles-user-input.scss */
  .mode-btn:hover {
    box-shadow: 0 0 0 12px rgba(226, 225, 216, 0.6); }
  /* line 441, ../src/styles-user-input.scss */
  .mode-btn.selected {
    box-shadow: 0 0 0 10px #2ab5af; }

@media (max-width: 50em) {
  /**
  	 * This is the first .mode-btn. At small sizes, it jumps up to its own line
  	 * to maintain a small width.
  	 */
  /* line 451, ../src/styles-user-input.scss */
  .pick-one {
    display: block;
    /* On its own line */
    margin-right: auto;
    margin-left: auto; } }
/**
 * Additional UI for Pick Few
 */
/* line 460, ../src/styles-user-input.scss */
.pick-few-content {
  transition: -webkit-transform .2s ease-in-out .2s;
  transition: transform .2s ease-in-out .2s; }
  /* line 463, ../src/styles-user-input.scss */
  .selected .pick-few-content {
    -webkit-transform: rotateY(90deg);
            transform: rotateY(90deg);
    transition-delay: 0; }

/* This <div> contains the elements for choosing a quantity for names to pick. */
/* line 469, ../src/styles-user-input.scss */
.quantity {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: inline-block;
  background-color: rgba(226, 225, 216, 0.9);
  border-radius: 50%;
  -webkit-transform: rotateY(-90deg);
          transform: rotateY(-90deg);
  transition: -webkit-transform .2s ease-in-out;
  transition: transform .2s ease-in-out;
  /* CSS-Tricks's Centering in the Unknown */
  /* This span holds the "How many?" text above the quantity picker. */ }
  /* line 482, ../src/styles-user-input.scss */
  .quantity:after {
    display: inline-block;
    height: 100%;
    margin-right: -.25em;
    vertical-align: middle;
    content: ""; }
  /* line 490, ../src/styles-user-input.scss */
  .quantity > span {
    position: absolute;
    left: 50%;
    -webkit-transform: translate(-50%, 1.5em);
            transform: translate(-50%, 1.5em); }

/* The .quantity-picker is a div that holds elements for choosing how many people to pick. */
/* line 498, ../src/styles-user-input.scss */
.quantity-picker {
  display: inline-block;
  font-family: "pt-sans-narrow", "Helvetica", "Arial", sans-serif;
  vertical-align: middle;
  /* Spans are used to the elements that allow you to choose the number of people to pick. */ }
  /* line 504, ../src/styles-user-input.scss */
  .quantity-picker span {
    display: inline-block;
    outline: 0; }
  /* line 508, ../src/styles-user-input.scss */
  .quantity-picker .count {
    width: 4em;
    padding: .5em;
    margin-right: .5em;
    margin-left: .5em;
    cursor: default;
    border-radius: .25em;
    background-color: #fff;
    color: #445; }
  /* line 518, ../src/styles-user-input.scss */
  .quantity-picker .minus, .quantity-picker .plus {
    width: 1.5em;
    height: 1.5em;
    line-height: 1.5em;
    border-radius: 50%;
    background-color: #445;
    color: #e2e1d8;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none; }

/* line 528, ../src/styles-user-input.scss */
.selected .quantity {
  -webkit-transform: none;
          transform: none; }

/* This span holds the text for each .mode-btn (Pick One, etc.) */
/* line 532, ../src/styles-user-input.scss */
.mode-text {
  display: block;
  margin-bottom: .5rem;
  color: #445;
  margin-top: -0.5em; }
  @media (min-width: 50em) {
    /* line 532, ../src/styles-user-input.scss */
    .mode-text {
      margin-top: 0; } }

/* animal styles */
/* line 543, ../src/styles-user-input.scss */
.shuffle {
  background-color: #e2e1d8;
  background-repeat: no-repeat;
  background-position: 0.75em 2.9em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 543, ../src/styles-user-input.scss */
    .shuffle {
      background-position: 1.2em 3.5em; } }

/* line 555, ../src/styles-user-input.scss */
.beaver .pick-one {
  background: #e2e1d8 url("../../assets/pick-one-beaver.svg") no-repeat 0.75em 2.85em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 555, ../src/styles-user-input.scss */
    .beaver .pick-one {
      background-position: 1em 3.35em; } }
/* line 563, ../src/styles-user-input.scss */
.beaver .pick-few {
  background: #e2e1d8 url("../../assets/pick-a-few-beavers.svg") no-repeat 0.15em 2.85em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 563, ../src/styles-user-input.scss */
    .beaver .pick-few {
      background-position: 0.25em 3.35em; } }
/* line 571, ../src/styles-user-input.scss */
.beaver .shuffle {
  background-image: url("../../assets/shuffle-beaver.svg"); }

/* line 577, ../src/styles-user-input.scss */
.badger .pick-one {
  background: #e2e1d8 url("../../assets/pick-one-badger.svg") no-repeat 0.7em 3em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 577, ../src/styles-user-input.scss */
    .badger .pick-one {
      background-position: 1em 3.25em; } }
/* line 585, ../src/styles-user-input.scss */
.badger .pick-few {
  background: #e2e1d8 url("../../assets/pick-a-few-badgers.svg") no-repeat 1.25em 2.75em;
  background-size: 75%; }
  @media (min-width: 50em) {
    /* line 585, ../src/styles-user-input.scss */
    .badger .pick-few {
      background-position: 1.7em 3.15em;
      background-size: 80%; } }
/* line 594, ../src/styles-user-input.scss */
.badger .shuffle {
  background-image: url("../../assets/shuffle-badger.svg"); }

/* line 600, ../src/styles-user-input.scss */
.fox .pick-one {
  background: #e2e1d8 url("../../assets/pick-one-fox.svg") no-repeat 1.5em 2.2em;
  background-size: 70%; }
  @media (min-width: 50em) {
    /* line 600, ../src/styles-user-input.scss */
    .fox .pick-one {
      background-position: 2.2em 2.45em; } }
/* line 608, ../src/styles-user-input.scss */
.fox .pick-few {
  background: #e2e1d8 url("../../assets/pick-a-few-foxes.svg") no-repeat 0.3em 2.75em;
  background-size: 80%; }
  @media (min-width: 50em) {
    /* line 608, ../src/styles-user-input.scss */
    .fox .pick-few {
      background-position: 0 3em;
      background-size: 85%; } }
/* line 617, ../src/styles-user-input.scss */
.fox .shuffle {
  background-image: url("../../assets/shuffle-fox.svg"); }

/* line 623, ../src/styles-user-input.scss */
.frog .pick-one {
  background: #e2e1d8 url("../../assets/pick-one-frog.svg") no-repeat 0.75em 2.5em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 623, ../src/styles-user-input.scss */
    .frog .pick-one {
      background-position: 1em 3.75em;
      background-size: 85%; } }
/* line 632, ../src/styles-user-input.scss */
.frog .pick-few {
  background: #e2e1d8 url("../../assets/pick-a-few-frogs.svg") no-repeat 1.35em 2.8em;
  background-size: 70%; }
  @media (min-width: 50em) {
    /* line 632, ../src/styles-user-input.scss */
    .frog .pick-few {
      background-position: 1.75em 3em;
      background-size: 75%; } }
/* line 641, ../src/styles-user-input.scss */
.frog .shuffle {
  background-image: url("../../assets/shuffle-frog.svg"); }

/* line 647, ../src/styles-user-input.scss */
.duck .pick-one {
  background: #e2e1d8 url("../../assets/pick-one-duck.svg") no-repeat 0.65em 3em;
  background-size: 80%; }
  @media (min-width: 50em) {
    /* line 647, ../src/styles-user-input.scss */
    .duck .pick-one {
      background-position: 0.75em 3.25em; } }
/* line 655, ../src/styles-user-input.scss */
.duck .pick-few {
  background: #e2e1d8 url("../../assets/pick-a-few-ducks.svg") no-repeat 0.85em 2.8em;
  background-size: 85%; }
  @media (min-width: 50em) {
    /* line 655, ../src/styles-user-input.scss */
    .duck .pick-few {
      background-position: 1.25em 3.9em; } }
/* line 663, ../src/styles-user-input.scss */
.duck .shuffle {
  background-image: url("../../assets/shuffle-duck.svg"); }

/**
 * .check is not a full-fledged section; it's just the header and button to
 * confirm that the user is ready to move on.
 */
/* Only the .check div on the start page needs to have the curve-arrow on top. */
/* line 673, ../src/styles-user-input.scss */
.start .check {
  position: relative; }
  /* line 39, ../src/_components.scss */
  .start .check:before {
    position: absolute;
    top: -1.5rem;
    left: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-size: 200% auto;
    /* If the background is a gradient, this will line up the gradient with that of the parent. */
    border-top-right-radius: 1.5rem;
    content: ""; }
  /* line 52, ../src/_components.scss */
  .start .check:after {
    position: absolute;
    top: -1.5rem;
    right: 0;
    width: 50%;
    height: 1.5rem;
    background: inherit;
    background-image: inherit;
    background-position: -100%;
    /* This offsets the gradient so it lines up with the second half of the parent's gradient */
    background-size: 200% auto;
    border-top-left-radius: 1.5rem;
    content: ""; }
  /* line 676, ../src/styles-user-input.scss */
  .start .check button {
    margin-bottom: 2rem; }

/* line 681, ../src/styles-user-input.scss */
.check {
  width: 100%;
  padding-top: 3rem;
  background-color: #e2e1d8; }
  /* line 686, ../src/styles-user-input.scss */
  .check h1 {
    margin-bottom: 1rem;
    margin-top: 1rem;
    font-family: "eskapade-fraktur", "Georgia", serif;
    color: #2ab5af;
    font-size: 1.75rem; }
    @media (min-width: 50em) {
      /* line 686, ../src/styles-user-input.scss */
      .check h1 {
        font-size: 2.75rem; } }
    @media (min-width: 62.5em) {
      /* line 686, ../src/styles-user-input.scss */
      .check h1 {
        font-size: 3.5rem; } }
  /* line 700, ../src/styles-user-input.scss */
  .check button {
    display: block;
    padding: 0 1em;
    height: 3rem;
    margin-right: auto;
    margin-left: auto;
    font-size: 1.5rem;
    line-height: 3rem;
    color: white;
    background: #e62857;
    background-image: linear-gradient(to right, #e24e2b, #e62857);
    box-shadow: inset 0 0 0 3px rgba(255, 255, 255, 0.6);
    border: 0;
    outline: 0;
    transition: box-shadow 0.3s ease; }
    /* line 716, ../src/styles-user-input.scss */
    .check button:hover {
      box-shadow: inset 0 0 0 3px rgba(255, 255, 255, 0.4); }
    /* line 719, ../src/styles-user-input.scss */
    .check button:active {
      box-shadow: inset 0 0 0 4px rgba(255, 255, 255, 0.4); }
  /* line 723, ../src/styles-user-input.scss */
  .check small {
    display: block;
    margin-bottom: 1.75rem;
    color: #445; }
  /* line 728, ../src/styles-user-input.scss */
  .check a {
    display: block;
    margin-top: 1rem;
    color: #808080;
    text-decoration: none; }
  /* line 734, ../src/styles-user-input.scss */
  .check .dotted {
    background-color: #e2e1d8;
    background-image: radial-gradient(#2bb6b0 10%, transparent 10%), radial-gradient(#2bb6b0 10%, transparent 10%);
    background-size: 18px 18px;
    background-position: 0 0, 9px 9px;
    box-shadow: inset 0 1.5rem 0 0 #e2e1d8;
    /* This constrains the dots to start halfway down the circle span. */
    height: 80px; }
